PHP Switcher 5.0.2 - Error Can't locate object method "daemonReload"

  • Hello,


    with the new version 5.0.2 I can compile the new PHP 7.2 and 7.3 version.:thumbup::thumbup:


    Now i see I have a old PHP 7.1.10 version and I compiling this new.


    perl /var/www/imscp/gui/plugins/PhpSwitcher/PhpCompiler/php_compiler.pl --register 7.1


    Now I become this error:

    Code
    1. Can't locate object method "daemonReload" via package "iMSCP::Provider::Service::Debian::Systemd" at /var/www/imscp/gui/plugins/PhpSwitcher/backend/PhpSwitcher.pm line 1953.


    This is on my Testserver: Ubuntu | Release: 16.04 LTS


    Kind regards

    Viktor

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 4.0.3), RoundcubePlugins (v 2.0.2)

  • i-MSCP version (and build) ?

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin

    Added the Label to be investigated
  • Hello,


    sorry I forgot this.


    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone


    Kind regards

    Viktor


    i

    - Distribution: Debian | Release: 8.10 | Codename: jessie

    - i-MSCP Version: i-MSCP 1.5.3 | Build: 20180516 | Codename: Ennio Morricone

    - Plugins installed: ClamAV (v. 1.3.0), Mailgraph (v 1.1.1), OpenDKIM (v 2.0.0), PanelRedirect (v 1.2.0) & SpamAssassin (v 2.0.1)

    - LetsEncrypt (v 3.5.0), PhpSwitcher (v 4.0.3), RoundcubePlugins (v 2.0.2)

  • Latest build is 2018120800, you should update to this release which fix "a lot" of bugs.

    You're right... The iMSCP::Provider::Service::Debian::Systemd::daemonReload method wasn't available in the first i-MSCP 1.5.3 version. This method has been added in i-MSCP version 1.5.3 (build 2018120700).


    Well, I'll add a fix in the next PhpSwitcher plugin version. However, Viktor should really update to latest 1.5.3 version (build 2018120800).

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin

    Set the Label from to be investigated to patched
  • The fix will be available in the next PhpSwitcher bugfixes release.


    Thread closed.

    badge.php?id=1239063037&bid=2518&key=1747635596&format=png&z=547451206

  • Nuxwin

    Closed the thread.